#include <GdipGui.au3>

$gui = GUICreate("GdipGui", 400, 350, 100, 100)
GUISetState()
$hImage = ""
$hGraphicImage = ""
$hImage2 = ""
$hGraphicImage2 = ""

_GDIPlus_Startup()

; 1st image
_GdipGui_CreateImage($hImage, $hGraphicImage, 200, 150)
_GDIPlus_GraphicsDrawRect($hGraphicImage, 20, 20, 100, 50)

; 2nd image
_GdipGui_CreateImage($hImage2, $hGraphicImage2, 200, 150, 0xFF00FF00)
_GDIPlus_GraphicsDrawEllipse($hGraphicImage2, 20, 20, 120, 80)

; The images are refreshed if you minimize & restore / hide & show the window
_GdipGui_AddImage($gui, $hImage)
_GdipGui_AddImage($gui, $hImage2, 30, 160)
Sleep(1000)

; Modification on an image
_GDIPlus_GraphicsDrawRect($hGraphicImage, 30, 40, 100, 50)
_GdipGui_DisplayImage($gui) ; Refreshes the image
Sleep(1000)

; Move the images
_GdipGui_MoveImage($gui, $hImage2, Default, Default, 300, 300)
Sleep(1000)

; 2nd window
$gui2 = GUICreate("GdipGui2", 400, 350, 400, 400)
GUISetState()
$hImage3 = ""
$hGraphicImage3 = ""

; 3rd image on the 2nd window
_GdipGui_CreateImage($hImage3, $hGraphicImage3, 200, 150, 0xFF0000FF)
_GDIPlus_GraphicsDrawLine($hGraphicImage3, 10, 50, 90, 50)
_GdipGui_AddImage($gui2, $hImage3, 50, 50)
Sleep(1000)

; Replace an image
_GdipGui_ReplaceImage($gui2, $hImage3, $hImage2)
Sleep(1000)

; Loop until user exits
Do
Until GUIGetMsg() = $GUI_EVENT_CLOSE

; The images aren't displayed now
_GdipGui_DelImage($gui, $hImage, 1)
Sleep(1000)
_GdipGui_DelImage($gui, $hImage2, 1)
Sleep(1000)
_GdipGui_DelImage($gui2, $hImage3, 1)
Sleep(1000)

_GDIPlus_Shutdown()
GUIDelete($gui)